#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL); cout.tie(NULL);

    int N,M;
    cin >> N >> M;

    int U[N];

    for(int i = 0;i<N;i++)
    {
        cin >> U[i];
    }

    long long res = 0;
    for(int i = 0;i<M;i++)
    {
        int X,Y;
        cin >> X >> Y;
        X--;Y--;
        int res1,res2;
        res1 = U[X]+U[Y];
        res2 = -U[X]-U[Y];
        res += max(res1,res2);
    }

    cout << res;




    return 0;
}